diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ipv6-static-routing-helper.h ns-3.43/src/internet/helper/ipv6-static-routing-helper.h
--- ns-3.42/src/internet/helper/ipv6-static-routing-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ipv6-static-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef IPV6_STATIC_ROUTING_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/neighbor-cache-helper.cc ns-3.43/src/internet/helper/neighbor-cache-helper.cc
--- ns-3.42/src/internet/helper/neighbor-cache-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/neighbor-cache-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 ZHIHENG DONG
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Zhiheng Dong <dzh2077@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/neighbor-cache-helper.h ns-3.43/src/internet/helper/neighbor-cache-helper.h
--- ns-3.42/src/internet/helper/neighbor-cache-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/neighbor-cache-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 ZHIHENG DONG
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Zhiheng Dong <dzh2077@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/rip-helper.cc ns-3.43/src/internet/helper/rip-helper.cc
--- ns-3.42/src/internet/helper/rip-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/rip-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/rip-helper.h ns-3.43/src/internet/helper/rip-helper.h
--- ns-3.42/src/internet/helper/rip-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/rip-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ripng-helper.cc ns-3.43/src/internet/helper/ripng-helper.cc
--- ns-3.42/src/internet/helper/ripng-helper.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ripng-helper.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/helper/ripng-helper.h ns-3.43/src/internet/helper/ripng-helper.h
--- ns-3.42/src/internet/helper/ripng-helper.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/helper/ripng-helper.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-cache.cc ns-3.43/src/internet/model/arp-cache.cc
--- ns-3.42/src/internet/model/arp-cache.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-cache.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-cache.h ns-3.43/src/internet/model/arp-cache.h
--- ns-3.42/src/internet/model/arp-cache.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-cache.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-header.cc ns-3.43/src/internet/model/arp-header.cc
--- ns-3.42/src/internet/model/arp-header.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-header.cc	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-header.h ns-3.43/src/internet/model/arp-header.h
--- ns-3.42/src/internet/model/arp-header.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-header.h	2024-10-09 16:41:09.880655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-l3-protocol.cc ns-3.43/src/internet/model/arp-l3-protocol.cc
--- ns-3.42/src/internet/model/arp-l3-protocol.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-l3-protocol.cc	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-l3-protocol.h ns-3.43/src/internet/model/arp-l3-protocol.h
--- ns-3.42/src/internet/model/arp-l3-protocol.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-l3-protocol.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-queue-disc-item.cc ns-3.43/src/internet/model/arp-queue-disc-item.cc
--- ns-3.42/src/internet/model/arp-queue-disc-item.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-queue-disc-item.cc	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "arp-queue-disc-item.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/arp-queue-disc-item.h ns-3.43/src/internet/model/arp-queue-disc-item.h
--- ns-3.42/src/internet/model/arp-queue-disc-item.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/arp-queue-disc-item.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef ARP_QUEUE_DISC_ITEM_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/candidate-queue.cc ns-3.43/src/internet/model/candidate-queue.cc
--- ns-3.42/src/internet/model/candidate-queue.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/candidate-queue.cc	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "candidate-queue.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/candidate-queue.h ns-3.43/src/internet/model/candidate-queue.h
--- ns-3.42/src/internet/model/candidate-queue.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/candidate-queue.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Craig Dowell (craigdo@ee.washington.edu)
  */
@@ -163,7 +152,7 @@
     /**
      * \brief return true if v1 < v2
      *
-     * SPFVertexes are added into the queue according to the ordering
+     * SPFVertex items are added into the queue according to the ordering
      * defined by this method. If v1 should be popped before v2, this
      * method return true; false otherwise
      *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-route-manager.cc ns-3.43/src/internet/model/global-route-manager.cc
--- ns-3.42/src/internet/model/global-route-manager.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-route-manager.cc	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tom Henderson (tomhend@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-route-manager.h ns-3.43/src/internet/model/global-route-manager.h
--- ns-3.42/src/internet/model/global-route-manager.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-route-manager.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Craig Dowell (craigdo@ee.washington.edu)
  *           Tom Henderson (tomhend@u.washington.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-route-manager-impl.cc ns-3.43/src/internet/model/global-route-manager-impl.cc
--- ns-3.42/src/internet/model/global-route-manager-impl.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-route-manager-impl.cc	2024-10-09 16:41:09.884656000 -0700
@@ -2,18 +2,7 @@
  * Copyright 2007 University of Washington
  * Copyright (C) 1999, 2000 Kunihiro Ishiguro, Toshiaki Takada
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Tom Henderson (tomhend@u.washington.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-route-manager-impl.h ns-3.43/src/internet/model/global-route-manager-impl.h
--- ns-3.42/src/internet/model/global-route-manager-impl.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-route-manager-impl.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Craig Dowell (craigdo@ee.washington.edu)
  *           Tom Henderson (tomhend@u.washington.edu)
@@ -542,7 +531,7 @@
     Ipv4Address m_nextHop;                          //!< next hop
     typedef std::list<NodeExit_t> ListOfNodeExit_t; //!< container of Exit nodes
     ListOfNodeExit_t m_ecmpRootExits; //!< store the multiple root's exits for supporting ECMP
-    typedef std::list<SPFVertex*> ListOfSPFVertex_t; //!< container of SPFVertexes
+    typedef std::list<SPFVertex*> ListOfSPFVertex_t; //!< container of SPFVertex items
     ListOfSPFVertex_t m_parents;                     //!< parent list
     ListOfSPFVertex_t m_children;                    //!< Children list
     bool m_vertexProcessed; //!< Flag to note whether vertex has been processed in stage two of SPF
@@ -552,7 +541,7 @@
      * \brief Stream insertion operator.
      *
      * \param os the reference to the output stream
-     * \param vs a list of SPFVertexes
+     * \param vs a list of SPFVertex items
      * \returns the reference to the output stream
      */
     friend std::ostream& operator<<(std::ostream& os, const SPFVertex::ListOfSPFVertex_t& vs);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-router-interface.cc ns-3.43/src/internet/model/global-router-interface.cc
--- ns-3.42/src/internet/model/global-router-interface.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-router-interface.cc	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Tom Henderson (tomhend@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-router-interface.h ns-3.43/src/internet/model/global-router-interface.h
--- ns-3.42/src/internet/model/global-router-interface.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-router-interface.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:  Craig Dowell (craigdo@ee.washington.edu)
  *           Tom Henderson (tomhend@u.washington.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/global-routing.h ns-3.43/src/internet/model/global-routing.h
--- ns-3.42/src/internet/model/global-routing.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/global-routing.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/icmpv4.cc ns-3.43/src/internet/model/icmpv4.cc
--- ns-3.42/src/internet/model/icmpv4.cc	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/icmpv4.cc	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/icmpv4.h ns-3.43/src/internet/model/icmpv4.h
--- ns-3.42/src/internet/model/icmpv4.h	2024-05-29 15:29:46.956073300 -0700
+++ ns-3.43/src/internet/model/icmpv4.h	2024-10-09 16:41:09.884656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
